BeagleWksDRParserInternal::Shape Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
BeagleWksDRParserInternal::Shape Struct Reference

Internal: the shape of BeagleWksDRParser. More...

## Public Member Functions
| Shape ()
| constructor More...

## Public Attributes
int | m_type
| the shape type More...
MWAWBox2f | m_box
| the shape bdbox More...
MWAWGraphicShape | m_shape
| the graphic shape ( for line, rect, ...) More...
MWAWEntry | m_entry
| the textbox or picture entry More...
long | m_dataSize
| the data size More...
MWAWGraphicStyle | m_style
| the style More...
MWAWFont | m_font
| the textbox font More...
MWAWParagraph::Justification | m_justify
| the textbox justification More...
double | m_interline
| the interline in percent More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, Shape const &shape)
| operator<< More...

## Detailed Description

Internal: the shape of BeagleWksDRParser.

## Constructor & Destructor Documentation

## ◆ Shape()

BeagleWksDRParserInternal::Shape::Shape | ( |  | ) |
| inline

constructor

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Shape const & | shape
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_box

MWAWBox2f BeagleWksDRParserInternal::Shape::m_box

the shape bdbox

Referenced by BeagleWksDRParserInternal::operator<<(), BeagleWksDRParser::readShapeDefinitions(), BeagleWksDRParser::readShapePositions(), and BeagleWksDRParser::readStyle().

## ◆ m_dataSize

long BeagleWksDRParserInternal::Shape::m_dataSize

the data size

Referenced by BeagleWksDRParserInternal::operator<<(), and BeagleWksDRParser::readStyle().

## ◆ m_entry

MWAWEntry BeagleWksDRParserInternal::Shape::m_entry

the textbox or picture entry

## ◆ m_extra

std::string BeagleWksDRParserInternal::Shape::m_extra

extra data

Referenced by BeagleWksDRParserInternal::operator<<(), BeagleWksDRParser::readShapeDefinitions(), and BeagleWksDRParser::readStyle().

## ◆ m_font

MWAWFont BeagleWksDRParserInternal::Shape::m_font

the textbox font

Referenced by BeagleWksDRParser::readStyle().

## ◆ m_interline

double BeagleWksDRParserInternal::Shape::m_interline

the interline in percent

Referenced by BeagleWksDRParser::readStyle().

## ◆ m_justify

MWAWParagraph::Justification BeagleWksDRParserInternal::Shape::m_justify

the textbox justification

Referenced by BeagleWksDRParser::readStyle().

## ◆ m_shape

MWAWGraphicShape BeagleWksDRParserInternal::Shape::m_shape

the graphic shape ( for line, rect, ...)

Referenced by BeagleWksDRParser::readShapeDefinitions(), and BeagleWksDRParser::readStyle().

## ◆ m_style

MWAWGraphicStyle BeagleWksDRParserInternal::Shape::m_style

the style

Referenced by BeagleWksDRParserInternal::operator<<(), BeagleWksDRParser::readShapeDefinitions(), and BeagleWksDRParser::readStyle().

## ◆ m_type

int BeagleWksDRParserInternal::Shape::m_type

the shape type

Referenced by BeagleWksDRParserInternal::operator<<(), BeagleWksDRParser::readShapeDefinitions(), and BeagleWksDRParser::readStyle().

The documentation for this struct was generated from the following file:

- BeagleWksDRParser.cxx